#ifndef FORMHISTORY_H
#define FORMHISTORY_H

#include <QWidget>

namespace Ui {
class FormHistory;
}

class FormHistory : public QWidget
{
    Q_OBJECT

public:
    explicit FormHistory(QWidget *parent = nullptr);
    ~FormHistory();

    virtual void Init();

    void ClickSearchDateStartEnd();

protected:
    int m_nSearchDurationType;

public:
    virtual void resizeEvent(QResizeEvent *event);
    virtual void keyReleaseEvent(QKeyEvent *event);

public slots:
    void SetSearchDateUpdate(int nTypeSearchDuration);

private slots:
    void on_pushButton_DateStart_clicked();

    void on_pushButton_DateEnd_clicked();



    void on_pushButton_Search_clicked();

    void on_pushButton_USBExport_clicked();

private:
    Ui::FormHistory *ui;
};

#endif // FORMHISTORY_H
